/opt/freeware/lib/libintl.a(libintl.so.8) Error while installing RPM on AIX 7.1

While installing some RPM’s on AIX we got below dependency error.  Now without resolving this error you cannot even proceed further.

[octst3:root:/aixbackup:]rpm -ivh rsync-3.1.2-2.aix6.1.ppc.rpm
exec(): 0509-036 Cannot load program /usr/opt/freeware/bin/rpm because of the following errors:
0509-150 Dependent module /opt/freeware/lib/libintl.a(libintl.so.8) could not be loaded.
0509-152 Member libintl.so.8 is not found in archive

After scourging through the internet and spending half the day, our system admin almost gave up on it. And in come’s the DBA, as they say smart work is better than hard work. Instead of re-inventing the wheel i asked him for a server where the RPM installation works. I logged into the server, copied the file to the same path in the server where it isn’t installing and it worked like a charm. Now i cannot guarantee this method will work 100% with all enviroments but just a refresh of the library from another source worked for us.

[ocptst3:root:/aixbackup:]rpm -vh rsync-3.1.2-2.aix6.1.ppc.rpm
rpm: –hash (-h) may only be specified during package installation and erasure
[ocprd3:root:/aixbackup:]rpm -ivh rsync-3.1.2-2.aix6.1.ppc.rpm
Preparing… ################################# [100%]
Updating / installing…
1:rsync-3.1.2-2 ################################# [100%]

I’m attaching the library for the purpose of any one who wants to do this on AIX 7.1 on Power7 CPU architecture.

https://drive.google.com/open?id=1rL5YbinDHgBOlVNybSHGJEZnh19aLwtm

 

4 thoughts on “/opt/freeware/lib/libintl.a(libintl.so.8) Error while installing RPM on AIX 7.1

Leave a Reply